regression: older lucee servers can't be updated due to crash on provider json

Description

Several uses are reporting problems with the update crashing.

I think it's coz the format for changelogs has changed / was removed, so it's a problem with update provider

https://github.com/lucee/Lucee/blob/5.2.6/core/src/main/cfml/context/admin/services.update.cfm#L374

https://dev.lucee.org/t/installation-5-3-5-92/6994
https://dev.lucee.org/t/cant-load-the-update-page-in-admin/6717

Environment

None

Activity

Show:
Michael Offner
July 31, 2020, 3:13 PM

all below 5.3.0.0 fails

Michael Offner
July 31, 2020, 3:50 PM

this is fixed in the update provider, because of that the ticket does not get a solution version.

Fixed

Assignee

Michael Offner

Reporter

Zac Spitzer

Priority

Critical

Fix versions

None

Sprint

5.3.8 Sprint 3
Configure